Subject: Re: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Filipp Gunbin <[email-masked]>
Date: Wed, 24 Oct 2018 16:13:26 +0300

Thomas,

On 23/10/2018 21:55 -0400, Thomas Fitzsimmons wrote:

>>> Your test case behaves the same way for me on x86_64 GNU/Linux.
>>
>> Do you mean it fails, or it works ok (regardless of
>> process-connection-type value)?
>
> I meant its behaviour is the same for me on x86_64 GNU/Linux as what you
> described its behaviour to be on Mac OS.  Without:
>
> (process-connection-type nil)
>
> the test case succeeds.  With it, the test case hangs.

Good that it can be "reproduced" at least in this form.

If I change args to "ldapsearch" "-W" (and prompt, accordingly), then

- with process-connection-type t, the test exits normally, and buffer
  contains the same text as for you:

  Enter LDAP Password: 
  ldap_sasl_interactive_bind_s: Can't contact LDAP server (-1)

  Process my-process exited abnormally with code 255

- with process-connection-type nil, the test hangs, and when I quit, the
  buffer contains:

  Process my-process stopped (tty output): 22

I see that /usr/bin/read is not the best thing to test with, because I
don't know exactly what it's doing.

My ldapsearch (2.4.28) is from macOS - they don't update it frequently.

I'll try a later version.  Other than that, I don't know what to do for
now :-(

Filipp